{
  "accUserMode" : 2,
  "caption" : "书籍类别",
  "codeName" : "BookTypePickupGridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BookTypePickupGridView.json",
  "gridRowActiveMode" : 2,
  "name" : "BookTypePickupGridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PickupGridView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "aggMode" : "NONE",
    "codeName" : "Main",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType/PSGRIDS/Main.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "主表格",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BookTypeEditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "组织机构标识",
      "codeName" : "orgid",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "orgid",
      "excelCaption" : "组织机构标识",
      "name" : "orgid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORGID",
        "codeName" : "OrgId"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "书籍类别名称",
      "codeName" : "booktypename",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "booktypename",
      "excelCaption" : "书籍类别名称",
      "name" : "booktypename",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKTYPENAME",
        "codeName" : "BookTypeName"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "组织部门标识",
      "codeName" : "deptid",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "deptid",
      "excelCaption" : "组织部门标识",
      "name" : "deptid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "DEPTID",
        "codeName" : "DeptId"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "书籍类别标识",
      "codeName" : "booktypeid",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "booktypeid",
      "excelCaption" : "书籍类别标识",
      "name" : "booktypeid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKTYPEID",
        "codeName" : "BookTypeId"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "建立人",
      "codeName" : "createman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "createman",
      "excelCaption" : "建立人",
      "name" : "createman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "建立时间",
      "codeName" : "createdate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "createdate",
      "excelCaption" : "建立时间",
      "name" : "createdate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "orgid",
      "getPSAppDEField" : {
        "name" : "ORGID",
        "codeName" : "OrgId"
      }
    }, {
      "dataType" : 25,
      "name" : "booktypename",
      "getPSAppDEField" : {
        "name" : "BOOKTYPENAME",
        "codeName" : "BookTypeName"
      }
    }, {
      "dataType" : 25,
      "name" : "deptid",
      "getPSAppDEField" : {
        "name" : "DEPTID",
        "codeName" : "DeptId"
      }
    }, {
      "dataType" : 25,
      "name" : "booktypeid",
      "getPSAppDEField" : {
        "name" : "BOOKTYPEID",
        "codeName" : "BookTypeId"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "createman",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "createdate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKTYPEID",
        "codeName" : "BookTypeId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "BOOKTYPEID",
        "codeName" : "BookTypeId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "pbooktypeid2",
      "getPSAppDEField" : {
        "name" : "PBOOKTYPEID2",
        "codeName" : "Pbooktypeid2"
      }
    }, {
      "dataType" : 25,
      "name" : "pbooktypeid3",
      "getPSAppDEField" : {
        "name" : "PBOOKTYPEID3",
        "codeName" : "Pbooktypeid3"
      }
    }, {
      "dataType" : 25,
      "name" : "pbooktypeid4",
      "getPSAppDEField" : {
        "name" : "PBOOKTYPEID4",
        "codeName" : "Pbooktypeid4"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "BOOKTYPENAME",
        "codeName" : "BookTypeName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "组织机构标识",
      "codeName" : "orgid",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "orgid",
      "getPSAppDEField" : {
        "name" : "ORGID",
        "codeName" : "OrgId"
      },
      "getPSEditor" : {
        "editorType" : "TEXTAREA",
        "maxLength" : 60,
        "name" : "orgid",
        "showMaxLength" : true
      },
      "allowEmpty" : true
    }, {
      "caption" : "书籍类别名称",
      "codeName" : "booktypename",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "booktypename",
      "getPSAppDEField" : {
        "name" : "BOOKTYPENAME",
        "codeName" : "BookTypeName"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 200,
        "name" : "booktypename"
      },
      "allowEmpty" : true
    }, {
      "caption" : "书籍类别标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKTYPEID",
        "codeName" : "BookTypeId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingMode" : 1,
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "681aab4344a448cec778072c5ca0b1dd",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType/PSSEARCHFORMS/Default.json",
    "logicName" : "默认搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "480f5a4e57d19213befe0b10ed9a7c23",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "caption" : "书籍类别",
    "codeName" : "PickupGridViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "PickupGridView",
  "getPSDEViewId" : "7e20c870cf645010c5b16f6c29cc6d62",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPICKUPGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "书籍类别选择表格视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPICKUPGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "expandSearchForm" : true,
  "pickupMode" : true,
  "rowEditDefault" : false,
  "modelid" : "cf622fa1b3d405504a3a0864e4059c1c",
  "modeltype" : "PSAPPDEVIEW"
}